#if !defined(AFX_EXTERNDLG_H__E1E64A80_7E50_40E5_9234_BA042C1AB5B5__INCLUDED_)
#define AFX_EXTERNDLG_H__E1E64A80_7E50_40E5_9234_BA042C1AB5B5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExternDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CExternDlg dialog
#include "MyButton.h"
#include "ExtIOFunktions.h"

class CExternDlg : public CDialog
{
// Construction
public:
	CExternDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CExternDlg();

// Dialog Data
	//{{AFX_DATA(CExternDlg)
	enum { IDD = IDD_EXTIO_DIALOG };
	CSpinButtonCtrl	b_corrSpin;
	CSpinButtonCtrl	b_scalSpin;
	CSpinButtonCtrl	b_offsSpin;
	MyButton		b_help;
	MyButton		b_web1;
	MyButton		b_web2;
	CEdit			t_corr;
	CEdit			t_scal;
	CEdit			t_offs;
	int				m_corr;
	int				m_scal;
	int				m_offs;
	CStatic			t_man;
	CStatic			t_pro;
	CStatic			t_ser;
	CStatic			t_ver;
	//}}AFX_DATA

	int				FiFiReady,visibility;
	CFont			mFont;
	void			Show_GUI(int show);
	void			SetButtonState();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExternDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExternDlg)
	virtual BOOL OnInitDialog();
	virtual void GoWeb1();
	afx_msg void GoWeb2();
	afx_msg void OnClose();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	afx_msg void OnSetCorr(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSetScal(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSetOffs(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnUpdateTextCorr();
	afx_msg void OnUpdateTextScal();
	afx_msg void OnUpdateTextOffs();
	afx_msg void OnHelpAdjust();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTERNDLG_H__E1E64A80_7E50_40E5_9234_BA042C1AB5B5__INCLUDED_)
