#if !defined(MYSMETER)
#define MYSMETER

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class MySMeter : public CButton
{
	DECLARE_DYNCREATE(MySMeter)
public:		
		MySMeter();

	BOOL		Init(int type=1);
	void		Draw(CDC *pDC);

	DWORD		m_flags;
	CRect		m_size;			// Position, Gre
	BOOL		m_bPushed;
	BOOL		m_bHighlighted;
	BOOL		m_bCaptured;
	COLORREF	BorderLightCol,BorderDarkCol,BackCol,TextCol;

	int			SquelchLevel,SNRLevel;
	int			dB_Level,SNR_Level,dBsm;
	double		dBmV;
	CRect		mRect,bRect;

	void		SetSquelchLevel(int val);
	void		SetSNRLevel(int val);
	void		SetSMeter(int SignalLevel, int snr);
	void		Show();
	void		DrawScaleButton(CDC* pDC);
	void		CheckSetCursor();
	void		OnKillFocus(CWnd* pNewWnd);



// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MySMeter)
protected:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_VIRTUAL
// Implementation
public:
	virtual ~MySMeter();
	//{{AFX_MSG(MySMeter)
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

#endif // !defined(MYSMETER)
