#if !defined(MY_GET_COLOR_DLG)
#define MY_GET_COLOR_DLG

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GetColorDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// GetColorDlg dialog
#include "MyClasses/MyButton.h"
#include "MyClasses/MyColorPickerButton.h"

class GetColorDlg : public CDialog
{
// Construction
public:
	GetColorDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(GetColorDlg)
	enum { IDD = IDD_COLOR_DLG };
	MyButton		b_OK;
	MyButton		b_CANCEL;
	MyButton		b_defcol;
	MyButton		b_altcol;
	MyColorPickerButton	m_picker;
	//}}AFX_DATA
	MyButton		b_design[3];
	MyButton		b_color[3];

	void			SetDefinedColor(int altdef);
	COLORREF		m_col,old_KNOBFACE[3],old_SCOPE_B[3],old_SCOPE_B2[3];
	int				m_ColSelection,lastDesign;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(GetColorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	void			SelectColorSet(int sel);
	void			SelectColorDesing(int sel);
	void			SelectPickerColor();


// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(GetColorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnColorPicker();
	afx_msg void OnSetDEFcolor();
	afx_msg void OnSetALTcolor();
	afx_msg void OnSelectScopeColor();
	afx_msg void OnSelectScopeColor2();
	afx_msg void OnSelectKnobColor();
	afx_msg void OnColorDesing1();
	afx_msg void OnColorDesing2();
	afx_msg void OnColorDesing3();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(MY_GET_COLOR_DLG)
